Get E-Way Bills by date and state
Fetch e-way bills assigned to you by generation date, with an optional generator state code, or by assignment date and generator state code.
Choose a lookup
Use one of these query parameter combinations:DD/MM/YYYY. Do not pass both date parameters in the same request. generator_state_code is required for assignment-date lookups and optional for generation-date lookups.
NIC validations
The query parameters you pass select the NIC API that Sandbox calls. Each NIC API applies its own validations.View NIC validations
View NIC validations
With generated_date only
NIC has not published validations for this request.With generated_date and generator_state_code
- Valid EWB generated date has to be passed.
- Only active E-waybill will be considered in this API.
- Valid state code of the EWB generator has to be passed.
- Rate control limit has been set for accessing this API. This API can be accessed 50 times with in a span of 15 min. This 15 min window starts from the time of first access of this API, if API is accessed 50 times within this period, API will be blocked for the remaining duration of time period. For example: If you have accessed this API at 2:00 PM and tried 50 access till 2:05 PM then, you will be blocked till 2:15 PM for accessing this API as the allowed number of requests has been exceeded, you will get an error code 658. Again you are allowed to access this API only after 2.15 PM and the same above process will continue there after.
With assigned_date and generator_state_code
- Valid EWB generated date has to be passed.
- Only active E-waybill will be considered in this API.
- Valid state code of the EWB generator has to be passed.
- Rate control limit has been set for accessing this API. This API can be accessed 50 times with in a span of 15 min. This 15 min window starts from the time of first access of this API, if API is accessed 50 times within this period, API will be blocked for the remaining duration of time period. For example: If you have accessed this API at 2:00 PM and tried 50 access till 2:05 PM then, you will be blocked till 2:15 PM for accessing this API as the allowed number of requests has been exceeded, you will get an error code 658. Again you are allowed to access this API only after 2.15 PM and the same above process will continue there after.
assigned_date lookup, NIC’s first validation refers to the generated date. Pass the assignment date in assigned_date.Response schema
For successful responses, this reference describes the NIC E-Way Bill payload atdata.data.
View JSON schema
Authorizations
E-Way Bill taxpayer access token returned by Authenticate.
Sandbox API key from your Sandbox account.
Headers
API version
NIC server for the session used by this request. primary selects NIC1. secondary selects NIC2. Defaults to primary. See NIC1 and NIC2 routing.
primary, secondary NIC server that receives the request. If omitted, the request goes to the server selected by x-source. When specified, selects the other server. See NIC1 and NIC2 routing.
primary, secondary Query Parameters
E-Way Bill generated date
"19/09/2024"
Generator state code. Use it with generated_date or with assigned_date. You can also use generated_date without this parameter.
"29"
E-Way Bill assigned date
"19/09/2024"
Response
200 EWBs fetched / 336 Could not retrieve data